# language: fr
@etablissements
Fonctionnalité: Visualisation des établissements du territoire
	Pour pouvoir utiliser deveco
	En tant que DevEco
	Je veux pouvoir consulter les établissements de mon territoire et exogènes

	Scénario: Recherche d'entreprise
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements"
	Alors je suis sur la page Établissements
	Quand je clique sur "Filtres données publiques"
	Quand je clique sur "Fermé"
	Quand je clique sur "Rechercher" et je vois "PARIS-LIFT"
	Quand je clique sur "Actif"
	Quand je renseigne "axiome" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je clique sur "AXIOME"
	Alors je suis sur la page de l'Établissement "94845956500016"

	Scénario: Ajout d'Établissement exogène
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements"
	Alors je suis sur la page Établissements
	Quand je clique sur "Ajouter un établissement exogène au territoire" et je vois "Ajouter un Établissement exogène au territoire"
	Quand je renseigne "77567227234537" dans le champ "etablissement-exogene-siret-search"
	Quand je clique sur "Rechercher" et je vois "CRF SERVICES CENTRAUX"
	Quand je clique sur "Ajouter l'établissement"
	Alors je suis sur la page de l'Établissement "77567227234537"
	Alors je vois "EXOGÈNE"
	Quand je clique sur l'onglet Établissements
	Alors je suis sur la page Établissements
	Quand je clique sur "Filtres données publiques"
	Quand je clique sur "Exogène au territoire"
	Quand je renseigne "croix rouge" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher" et je vois "CRF SERVICES CENTRAUX"
	Quand je clique sur "CRF SERVICES CENTRAUX"
	Alors je suis sur la page de l'Établissement "77567227234537"

	Scénario: Qualification d'établissement - Activités réelles
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi" et je vois "Ajouter un élément de suivi"
	Quand je clique sur "#tab-button-etablissement" et je vois "Données publiques"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "Test" dans le champ "#champ-selection-activites-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "Test"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "ASupprimer" dans le champ "#champ-selection-activites-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "ASupprimer"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je clique sur le texte "ASupprimer"
	Alors je ne vois pas "ASupprimer"
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je ne vois pas "ASupprimer"
	Quand je vais sur la page Établissements
	Alors je vois "AXIOME"
	Quand je clique sur "Filtres données personnalisées"
	Quand je clique sur l'option "ASupprimer" du multiselect "#champ-selection-activites-input"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-activites-input"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je clique sur le texte "Test"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur le texte "ASupprimer"
	Quand je clique sur "Rechercher"
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"

	Scénario: Qualification d'établissement - Zones géographiques
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi" et je vois "Ajouter un élément de suivi"
	Quand je clique sur "#tab-button-etablissement" et je vois "Données publiques"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "Test" dans le champ "#champ-selection-zones-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "Test"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "ASupprimer" dans le champ "#champ-selection-zones-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "ASupprimer"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je clique sur le texte "ASupprimer"
	Alors je ne vois pas "ASupprimer"
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je ne vois pas "ASupprimer"
	Quand je vais sur la page Établissements
	Alors je vois "AXIOME"
	Quand je clique sur "Filtres données personnalisées"
	Quand je clique sur l'option "ASupprimer" du multiselect "#champ-selection-zones-input"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-zones-input"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je clique sur le texte "Test"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur le texte "ASupprimer"
	Quand je clique sur "Rechercher"
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"

	Scénario: Qualification d'établissement - Mots-clés
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi" et je vois "Ajouter un élément de suivi"
	Quand je clique sur "#tab-button-etablissement" et je vois "Données publiques"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "Test" dans le champ "#champ-selection-mots-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "Test"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je renseigne "ASupprimer" dans le champ "#champ-selection-mots-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je vois "ASupprimer"
	Quand je clique sur "#modifier-etablissement" et je vois "Valider"
	Quand je clique sur le texte "ASupprimer"
	Alors je ne vois pas "ASupprimer"
	Quand je clique sur "Valider" et je ne vois plus "Valider"
	Alors je ne vois pas "ASupprimer"
	Quand je vais sur la page Établissements
	Alors je vois "AXIOME"
	Quand je clique sur "Filtres données personnalisées"
	Quand je clique sur l'option "ASupprimer" du multiselect "#champ-selection-mots-input"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-mots-input"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je clique sur le texte "Test"
	Quand je clique sur "Rechercher" et je ne vois plus "AXIOME CONSULTING"
	Quand je clique sur le texte "ASupprimer"
	Quand je clique sur "Rechercher"
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"

	Scénario: Ajout et modification d'échange
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter un échange"
	Quand je clique le bouton radio "suivi-type-radio-option-échange"
	Alors je vois "Canal de l'échange"
	Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je vois "Premier échange"
	Quand je clique sur "Modifier" et je vois "Modifier un échange"
	Alors je vois "Canal de l'échange"
	Quand je renseigne "Premier échange (modifié)" dans le champ "Titre de l'échange"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas la modale "Modifier un échange"
	Alors je vois "Premier échange (modifié)"
	Alors je vois "Modifié"
	Alors l'élément contenant "Modifié" a dans son titre "Dernière modification de l'échange le "
	Alors l'élément contenant "Modifié" a dans son titre " par Prénom Nom"
	Quand je vais sur la page Établissements
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"

	Scénario: Ajout de demande et filtre
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter un échange"
	Quand je clique le bouton radio "suivi-type-radio-option-échange"
	Alors je vois "Canal de l'échange"
	Quand je clique le bouton radio "suivi-type-radio-option-demande"
	Alors je vois "Type de demande"
	Quand je renseigne "Première demande" dans le champ "Titre de la demande"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas "Type de demande"
	Quand je clique sur "#menu-lateral-demandes" et je vois "Première demande"
	Alors je vois le bouton "Ajouter un élément de suivi"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter une demande"
	Quand je clique le bouton radio "suivi-type-radio-option-échange"
	Alors je vois "Canal de l'échange"
	Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
	Quand je clique sur "#echange-demandes-demande-1"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas "Canal de l'échange"
	Quand je clique sur "#menu-lateral-echanges" et je vois "Premier échange"
	Alors je vois "Première demande"
	Quand je vais sur la page Établissements
	Quand je clique sur "Filtres données personnalisées"
	Quand je clique sur "Demandes"
	Quand j'attends 1 secondes
	Quand je clique sur l'option "Accompagnement" du multiselect "#champ-selection-demandes-input"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je clique sur le texte "Accompagnement"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"

	Scénario: Clôture de demande
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter un échange"
	Quand je clique le bouton radio "suivi-type-radio-option-demande"
	Alors je vois "Type de demande"
	Quand je renseigne "Première demande" dans le champ "Titre de la demande"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas "Type de demande"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter un échange"
	Quand je clique le bouton radio "suivi-type-radio-option-échange"
	Alors je vois "Canal de l'échange"
	Quand je renseigne "Premier échange" dans le champ "Titre de l'échange"
	Quand je clique sur "#echange-demandes-demande-1"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas "Canal de l'échange"
	Alors je vois "Premier échange"
	Quand je clique sur "#menu-lateral-demandes"
	Quand j'attends 1 secondes
	Alors je vois "Accompagnement"
	Quand je clique sur "Clôturer" et je vois "Clôturer une demande"
	Quand je clique sur "Confirmer" et je ne vois plus "Confirmer"
	Alors je ne vois pas la modale "Clôturer une demande"
	Alors je vois "Accompagnement"
	Alors je vois "clôturée"
	Quand je vais sur la page Établissements
	Quand je clique sur "Filtres données personnalisées"
	Quand j'attends 1 secondes
	Quand je clique sur "#champ-selection-demandes-input"
	Quand je ne vois pas "Accompagnement"

	Scénario: Ajout, modification, filtre et suppression de contact
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur l'élément "#tab-button-suivi"
	Alors je vois "Ajouter un élément de suivi"
	Quand je clique sur l'élément "#tab-button-etablissement"
	Alors je vois "Données publiques"
	Quand je clique sur "Ajouter un contact" et je vois "Contact existant"
	Quand je clique sur "Non"
	Quand je renseigne "Berthier Axiome" dans le champ "#input-nouveau-contact-nom"
	Quand je clique sur "Ajouter" et je ne vois plus "Ajouter"
	Alors je ne vois pas la modale "Ajouter un contact"
	Alors je vois "Berthier Axiome"
	Quand je clique sur "#modifier-contact-1" et je vois "La personne accepte d'être contactée par mon équipe"
	Quand je renseigne "Berthier Modifié" dans le champ "#input-nouveau-contact-nom"
	Quand je renseigne "Berthier F" dans le champ "#input-nouveau-contact-fonction"
	Quand je renseigne "Berthier P" dans le champ "#input-nouveau-contact-prenom"
	Quand je renseigne "Berthier E" dans le champ "#input-nouveau-contact-email"
	Quand je renseigne "06" dans le champ "#input-nouveau-contact-telephone"
	Quand je clique sur "Modifier" et je ne vois plus "Modifier"
	Alors je ne vois pas la modale "Modifier un contact"
	Alors je ne vois pas "Berthier Axiome"
	Alors je vois "Berthier Modifié"
	Alors je vois "Berthier F"
	Alors je vois "Berthier P"
	Alors je vois "Berthier E"
	Alors je vois "06"
	Quand je vais sur la page Établissements
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je selectionne l'option "Tout le territoire" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je renseigne "Berthier Modifié" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je vais sur la page de l'Établissement "94845956500016"
	Alors je vois "Berthier Modifié"
	Alors je vois l'élément "#supprimer-contact-1"
	Quand je clique sur "#supprimer-contact-1" et je vois "Supprimer un contact"
	Quand je clique sur "Valider la suppression" et je ne vois plus "Valider la suppression"
	Alors je ne vois pas la modale "Supprimer un contact"
	Alors je ne vois pas "Berthier"

	Scénario: Ajout, modification, et clôture de rappel
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/94845956500016"
	Quand je clique sur "#tab-button-suivi"
	Quand je clique sur "Ajouter un élément de suivi" et je vois "Ajouter un échange"
	Quand je clique le bouton radio "suivi-type-radio-option-rappel"
	Quand je renseigne "Rappel important" dans le champ "Titre du rappel"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas la modale "Ajouter un rappel"
	Quand je clique sur "#menu-lateral-rappels" et je vois "Rappel important"
	Quand je vais sur la page Rappels
	Quand je clique sur "À venir" et je vois "Rappel important"
	Quand je clique sur "AXIOME"
	Alors je suis sur la page de l'Établissement "94845956500016"
	Quand je vais sur la page Établissements
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "AXIOME CONSULTING"
	Quand je vais sur la page de l'Établissement "94845956500016"
	Quand je clique sur "#tab-button-suivi"
	Quand je clique sur "#menu-lateral-rappels"
	Quand je clique sur "Modifier" et je vois "Modifier un rappel"
	Quand je renseigne "Rappel très important !" dans le champ "Titre du rappel"
	Quand je clique sur "Enregistrer" et je ne vois plus "Enregistrer"
	Alors je ne vois pas la modale "Modifier un rappel"
	Alors je vois "Rappel très important !"
	Quand je clique sur "Clôturer" et je vois "Clôturer un rappel"
	Quand je clique sur "Annuler" et je ne vois plus "Annuler"
	Alors je ne vois pas la modale "Clôturer un rappel"
	Quand je clique sur "Clôturer" et je vois "Clôturer un rappel"
	Quand je clique sur "Confirmer" et je ne vois plus "Confirmer"
	Alors je ne vois pas la modale "Clôturer un rappel"
	Alors je vois "Réouvrir"
	Quand je vais sur la page Rappels
	Quand je clique sur "Clôturés" et je vois "Rappel très important !"

	Scénario: Qualification d'établissement en masse - Activités réelles
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements"
	Quand je renseigne "London Academie" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"
	Quand je clique sur "Qualifier" et je vois "Qualifier 2 fiches"
	Quand je renseigne "Test" dans le champ "#select-activites-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Confirmer" et je ne vois plus "Confirmer"
	Alors je vois le bouton "OK"
	Quand je clique sur "OK"
	Quand je vais sur la page Établissements
	Quand je clique sur "Filtres données personnalisées"
	Quand j'attends 1 secondes
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-activites-input"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"

	Scénario: Qualification d'établissement en masse - Zones géographiques
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements"
	Quand je renseigne "London Academie" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"
	Quand je clique sur "Qualifier" et je vois "Qualifier 2 fiches"
	Quand je renseigne "Test" dans le champ "#select-zones-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Confirmer" et je ne vois plus "Confirmer"
	Alors je vois le bouton "OK"
	Quand je clique sur "OK"
	Quand je vais sur la page Établissements
	Quand je clique sur "Filtres données personnalisées"
	Quand j'attends 1 secondes
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-zones-input"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"

	Scénario: Qualification d'établissement en masse - Mots clés
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements"
	Quand je renseigne "London Academie" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"
	Quand je clique sur "Qualifier" et je vois "Qualifier 2 fiches"
	Quand je renseigne "Test" dans le champ "#select-mots-input"
	Quand je crée l'option
	Quand j'attends 1 secondes
	Quand je clique sur "Confirmer" et je ne vois plus "Confirmer"
	Alors je vois le bouton "OK"
	Quand je clique sur "OK"
	Quand je vais sur la page Établissements
	Quand je clique sur "Filtres données personnalisées"
	Quand j'attends 1 secondes
	Quand je clique sur l'option "Test" du multiselect "#champ-selection-mots-input"
	Quand je clique sur "Rechercher"
	Alors je vois "2 résultats"

	Scénario: Ajout de favori et filtre
	Quand j'ai un compte "DevEco" avec l'email "machin@test.fr" et la clef "blah"
	Quand je vais sur le lien magique pour "blah" vers la page "/etablissements/92192904800012"
	Alors je vois l'icône "fr-icon-star-line"
	Quand je clique sur l'élément avec le titre "Ajouter aux favoris"
	Alors je vois l'icône "fr-icon-star-fill"
  Quand j'attends 1 secondes
	Quand je vais sur la page Établissements
	Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "GREEN ECO CONCEPT"
	Quand je clique sur l'élément avec le titre "Retirer des favoris"
	Alors je vois le bouton avec l'icône "fr-icon-star-line"
  Quand j'attends 1 secondes
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
  Quand je clique sur "Rechercher"
	Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je ne vois plus "GREEN ECO CONCEPT"
	Quand je selectionne l'option "Tout le territoire" dans la liste "Sélection"
  Quand je clique sur "Rechercher"
	Quand je renseigne "green" dans le champ "Recherche par nom, SIRET, SIREN"
	Quand je clique sur "Rechercher" et je vois "GREEN ECO CONCEPT"
	Quand je clique sur l'élément avec le titre "Ajouter aux favoris"
	Alors je vois le bouton avec l'icône "fr-icon-star-fill"
  Quand j'attends 1 secondes
	Quand je clique sur le texte "green"
	Quand je selectionne l'option "Portefeuille de votre service" dans la liste "Sélection"
	Quand je clique sur "Rechercher"
	Quand je selectionne l'option "Vos favoris" dans la liste "Sélection"
	Quand je clique sur "Rechercher" et je vois "GREEN ECO CONCEPT"
	Quand je clique sur l'élément avec le titre "Retirer des favoris"
	Alors je vois le bouton avec l'icône "fr-icon-star-line"
